<?php

class SolVioletteTransferForm extends sfForm {
    public function configure() {
        parent::configure();

        $this->widgetSchema['search'] = new sfWidgetFormInput();
        $this->validatorSchema['search'] = new sfValidatorString(array('required' => true, "min_length" => 3), array('min_length' => 'Veuillez entrer au minimum 3 caractères', 'required' => 'Veuillez effectuer une recherche'));
        $this->widgetSchema->setLabel('search', 'Nom, téléphone ou numéro de carte Sol de l\'adhérent');
        $this->setDefault('search', '');


    		$this->widgetSchema->setNameFormat('transfer[%s]');
    }
}